[USN-4670-1] ImageMagick vulnerabilities

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[USN-4670-1] ImageMagick vulnerabilities

Avital Ostromich
==========================================================================
Ubuntu Security Notice USN-4670-1
December 15, 2020

imagemagick vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 20.10
- Ubuntu 20.04 LTS
- Ubuntu 18.04 LTS
- Ubuntu 16.04 LTS

Summary:

Several security issues were fixed in ImageMagick.

Software Description:
- imagemagick: Image manipulation programs and library

Details:

It was discovered that ImageMagick incorrectly handled certain specially
crafted image files. If a user or automated system using ImageMagick were
tricked into opening a specially crafted image, an attacker could exploit
this to cause a denial of service or other unspecified impact. This issue
only affected Ubuntu 16.04 LTS, Ubuntu 18.04 LTS, and Ubuntu 20.10.
(CVE-2019-19948, CVE-2019-19949)

It was discovered that ImageMagick incorrectly handled certain specially
crafted image files. If a user or automated system using ImageMagick were
tricked into opening a specially crafted image, an attacker could exploit
this to cause a denial of service. (CVE-2020-27560)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 20.10:
  imagemagick                     8:6.9.10.23+dfsg-2.1ubuntu13.1
  imagemagick-6.q16               8:6.9.10.23+dfsg-2.1ubuntu13.1
  imagemagick-6.q16hdri           8:6.9.10.23+dfsg-2.1ubuntu13.1
  libmagick++-6.q16-8             8:6.9.10.23+dfsg-2.1ubuntu13.1
  libmagick++-6.q16hdri-8         8:6.9.10.23+dfsg-2.1ubuntu13.1
  libmagickcore-6.q16-6           8:6.9.10.23+dfsg-2.1ubuntu13.1
  libmagickcore-6.q16-6-extra     8:6.9.10.23+dfsg-2.1ubuntu13.1
  libmagickcore-6.q16hdri-6       8:6.9.10.23+dfsg-2.1ubuntu13.1
  libmagickcore-6.q16hdri-6-extra  8:6.9.10.23+dfsg-2.1ubuntu13.1
  libmagickwand-6.q16-6           8:6.9.10.23+dfsg-2.1ubuntu13.1
  libmagickwand-6.q16hdri-6       8:6.9.10.23+dfsg-2.1ubuntu13.1

Ubuntu 20.04 LTS:
  imagemagick                     8:6.9.10.23+dfsg-2.1ubuntu11.2
  imagemagick-6.q16               8:6.9.10.23+dfsg-2.1ubuntu11.2
  imagemagick-6.q16hdri           8:6.9.10.23+dfsg-2.1ubuntu11.2
  libmagick++-6.q16-8             8:6.9.10.23+dfsg-2.1ubuntu11.2
  libmagick++-6.q16hdri-8         8:6.9.10.23+dfsg-2.1ubuntu11.2
  libmagickcore-6.q16-6           8:6.9.10.23+dfsg-2.1ubuntu11.2
  libmagickcore-6.q16-6-extra     8:6.9.10.23+dfsg-2.1ubuntu11.2
  libmagickcore-6.q16hdri-6       8:6.9.10.23+dfsg-2.1ubuntu11.2
  libmagickcore-6.q16hdri-6-extra  8:6.9.10.23+dfsg-2.1ubuntu11.2
  libmagickwand-6.q16-6           8:6.9.10.23+dfsg-2.1ubuntu11.2
  libmagickwand-6.q16hdri-6       8:6.9.10.23+dfsg-2.1ubuntu11.2

Ubuntu 18.04 LTS:
  imagemagick                     8:6.9.7.4+dfsg-16ubuntu6.9
  imagemagick-6.q16               8:6.9.7.4+dfsg-16ubuntu6.9
  imagemagick-6.q16hdri           8:6.9.7.4+dfsg-16ubuntu6.9
  libmagick++-6.q16-7             8:6.9.7.4+dfsg-16ubuntu6.9
  libmagick++-6.q16hdri-7         8:6.9.7.4+dfsg-16ubuntu6.9
  libmagickcore-6.q16-3           8:6.9.7.4+dfsg-16ubuntu6.9
  libmagickcore-6.q16-3-extra     8:6.9.7.4+dfsg-16ubuntu6.9
  libmagickcore-6.q16hdri-3       8:6.9.7.4+dfsg-16ubuntu6.9
  libmagickcore-6.q16hdri-3-extra  8:6.9.7.4+dfsg-16ubuntu6.9
  libmagickwand-6.q16-3           8:6.9.7.4+dfsg-16ubuntu6.9
  libmagickwand-6.q16hdri-3       8:6.9.7.4+dfsg-16ubuntu6.9

Ubuntu 16.04 LTS:
  imagemagick                     8:6.8.9.9-7ubuntu5.16
  imagemagick-6.q16               8:6.8.9.9-7ubuntu5.16
  libmagick++-6.q16-5v5           8:6.8.9.9-7ubuntu5.16
  libmagickcore-6.q16-2           8:6.8.9.9-7ubuntu5.16
  libmagickcore-6.q16-2-extra     8:6.8.9.9-7ubuntu5.16
  libmagickwand-6.q16-2           8:6.8.9.9-7ubuntu5.16

In general, a standard system update will make all the necessary changes.

References:
  https://usn.ubuntu.com/4670-1
  CVE-2019-19948, CVE-2019-19949, CVE-2020-27560

Package Information:
  https://launchpad.net/ubuntu/+source/imagemagick/8:6.9.10.23+dfsg-2.1ubuntu13.1
  https://launchpad.net/ubuntu/+source/imagemagick/8:6.9.10.23+dfsg-2.1ubuntu11.2
  https://launchpad.net/ubuntu/+source/imagemagick/8:6.9.7.4+dfsg-16ubuntu6.9
  https://launchpad.net/ubuntu/+source/imagemagick/8:6.8.9.9-7ubuntu5.16



--
ubuntu-security-announce mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-security-announce

signature.asc (499 bytes) Download Attachment